Create Sms
curl --request POST \
--url https://api.example.com/v2/sms-threads/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoices": [
"<string>"
],
"partner_id": "<string>",
"sms_template_id": "<string>",
"body": "<string>",
"options": {
"use_llm": false,
"include_payment_url": false
}
}
'import requests
url = "https://api.example.com/v2/sms-threads/messages"
payload = {
"invoices": ["<string>"],
"partner_id": "<string>",
"sms_template_id": "<string>",
"body": "<string>",
"options": {
"use_llm": False,
"include_payment_url": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoices: ['<string>'],
partner_id: '<string>',
sms_template_id: '<string>',
body: JSON.stringify('<string>'),
options: {use_llm: false, include_payment_url: false}
})
};
fetch('https://api.example.com/v2/sms-threads/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"sms_thread_id": "<string>",
"body": "<string>",
"classifications": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"action_recommendation": "<string>",
"agent_confidence_score": 123,
"agent_metrics": {
"confidence_reason": "<string>",
"confidence_score": 123,
"error_code": "duplicate",
"uncertainties": [
"<string>"
]
},
"classification": "payment_inquiry",
"evidence": {},
"is_action_required": true,
"is_reply_required": true,
"language": "<string>",
"reason": "<string>",
"object": "<string>"
}
],
"direction": "inbound",
"from_number": "<string>",
"to_number": "<string>",
"status": "draft",
"is_automated": true,
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}sms-threads
Create Sms
Create SMS Draft
Create an SMS draft message for a partner. The body can be provided directly, generated from a template, or generated by an LLM.
POST
/
v2
/
sms-threads
/
messages
Create Sms
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for creating an SMS draft.
Exactly one body source must be provided: body, sms_template_id, or options.use_llm.
Response
Successful Response
SMS message within a thread.
The message content
Show child attributes
Show child attributes
Available options:
inbound, outbound The sending phone number
The receiving phone number
Available options:
draft, pending, sent, delivered, failed, undelivered Whether the SMS was automatically sent by a workflow
Twilio error message if delivery failed
String representing the object's type. Objects of the same type share the same value.
